Loading...
Searching...
No Matches
BALL::VIEW::CustomColorProcessor Class Reference
Visualisation » Model Processors

`#include <BALL/VIEW/MODELS/standardColorProcessor.h>`

Inheritance diagram for BALL::VIEW::CustomColorProcessor:

## Public Member Functions

| CustomColorProcessor ()
bool | canUseMeshShortcut_ (const Composite &)
Public Member Functions inherited from BALL::VIEW::ColorProcessor
| ColorProcessor ()
| Default Constructor.
| ColorProcessor (const ColorProcessor &color_calculator)
| Copy constructor.
virtual | ~ColorProcessor ()
| Destructor.
virtual void | clear ()
void | set (const ColorProcessor &color_calculator)
| Assignment.
virtual bool | start ()
const ColorProcessor & | operator= (const ColorProcessor &color_calculator)
bool | updateAlwaysNeeded ()
void | setDefaultColor (const ColorRGBA &color)
const ColorRGBA & | getDefaultColor () const
virtual Processor::Result | operator() (GeometricObject *&object)
virtual void | getColor (const Composite &composite, ColorRGBA &color_to_be_set)
Size | getTransparency () const
virtual void | setTransparency (Size value)
void | setComposites (const std::list< const Composite * > *composites)
const std::list< const Composite * > * | getComposites ()
| Return a pointer to the Composites.
void | clearAtomGrid ()
void | setAdditionalGridDistance (float distance)
float | getAdditionalGridDistance () const
void | setMinGridSpacing (float spacing)
AtomGrid & | getAtomGrid ()
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setModelType (ModelType type)
virtual void | createAtomGrid (const Composite *from_mesh=0)
const Atom * | getClosestItem (const Vector3 &v) const
Public Member Functions inherited from BALL::UnaryProcessor< GeometricObject * >
| UnaryProcessor ()
virtual | ~UnaryProcessor ()
virtual bool | finish ()
virtual Processor::Result | operator() (GeometricObject *&)

## Additional Inherited Members

Public Types inherited from BALL::VIEW::ColorProcessor
typedef HashSet< const Composite * > | CompositeSet
| A HashSet with the used Composites, see also Representation.
typedef HashGrid3< const Atom * > | AtomGrid
| a threedimensioal grid with the pointers to the atoms
typedef HashGridBox3< const Atom * > | AtomBox
| a single box in the threedimensional grid
Public Types inherited from BALL::UnaryFunctor< GeometricObject *, Processor::Result >
typedef Processor::Result | result_type
typedef GeometricObject * | argument_type
typedef GeometricObject *& | argument_reference
typedef const GeometricObject *& | const_argument_reference
typedef GeometricObject ** | argument_pointer
typedef const GeometricObject ** | const_argument_pointer
Protected Member Functions inherited from BALL::VIEW::ColorProcessor
virtual void | colorMeshFromGrid_ (Mesh &mesh)
Protected Attributes inherited from BALL::VIEW::ColorProcessor
bool | update_always_needed_
ColorRGBA | default_color_
ColorRGBA | selection_color_
Size | transparency_
const std::list< const Composite * > * | composites_
AtomGrid | atom_grid_
ModelType | model_type_
const Composite * | last_composite_of_grid_
float | additional_grid_distance_
float | min_spacing_

## Detailed Description

CustomColorProcessor colorizes every GeometricObject with the default color.

Definition at line 418 of file standardColorProcessor.h.

## Constructor & Destructor Documentation

## CustomColorProcessor()

BALL::VIEW::CustomColorProcessor::CustomColorProcessor | ( |  | ) |

inline

Definition at line 425 of file standardColorProcessor.h.

## Member Function Documentation

## canUseMeshShortcut_()

bool BALL::VIEW::CustomColorProcessor::canUseMeshShortcut_ | ( | const Composite & |  | ) |

inline virtual

Reimplemented from BALL::VIEW::ColorProcessor.

Definition at line 429 of file standardColorProcessor.h.